xn::ModuleGestureGenerator Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleGestureGenerator:
[legend]

## Public Member Functions

virtual | ~ModuleGestureGenerator ()
virtual const void * | GetData ()
virtual XnStatus | AddGesture (const XnChar *strGesture, XnBoundingBox3D *pArea)=0
virtual XnStatus | RemoveGesture (const XnChar *strGesture)=0
virtual XnStatus | GetActiveGestures (XnChar **pstrGestures, XnUInt16 &nGestures)=0
virtual XnStatus | GetAllActiveGestures (XnChar **pstrGestures, XnUInt32 nNameLength, XnUInt16 &nGestures)=0
virtual XnStatus | EnumerateGestures (XnChar **pstrGestures, XnUInt16 &nGestures)=0
virtual XnStatus | EnumerateAllGestures (XnChar **pstrGestures, XnUInt32 nNameLength, XnUInt16 &nGestures)=0
virtual XnBool | IsGestureAvailable (const XnChar *strGesture)=0
virtual XnBool | IsGestureProgressSupported (const XnChar *strGesture)=0
virtual XnStatus | RegisterGestureCallbacks (XnModuleGestureRecognized RecognizedCB, XnModuleGestureProgress ProgressCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterGestureCallbacks (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToGestureChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGestureChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToGestureIntermediateStageCompleted (XnModuleGestureIntermediateStageCompleted GestureIntermediateStageCompletedCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGestureIntermediateStageCompleted (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToGestureReadyForNextIntermediateStage (XnModuleGestureReadyForNextIntermediateStage ReadyForNextIntermediateStageCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGestureReadyForNextIntermediateStage (XnCallbackHandle hCallback)=0
Public Member Functions inherited from xn::ModuleGenerator
virtual | ~ModuleGenerator ()
virtual XnStatus | StartGenerating ()=0
virtual XnBool | IsGenerating ()=0
virtual void | StopGenerating ()=0
virtual XnStatus | RegisterToGenerationRunningChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGenerationRunningChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToNewDataAvailable (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromNewDataAvailable (XnCallbackHandle hCallback)=0
virtual XnBool | IsNewDataAvailable (XnUInt64 &nTimestamp)=0
virtual XnStatus | UpdateData ()=0
virtual XnUInt32 | GetDataSize ()=0
virtual XnUInt64 | GetTimestamp ()=0
virtual XnUInt32 | GetFrameID ()=0
virtual ModuleMirrorInterface * | GetMirrorInterface ()
virtual ModuleAlternativeViewPointInterface * | GetAlternativeViewPointInterface ()
virtual ModuleFrameSyncInterface * | GetFrameSyncInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleGestureGenerator()

virtual xn::ModuleGestureGenerator::~ModuleGestureGenerator | ( |  | ) |

inline virtual

## Member Function Documentation

## AddGesture()

virtual XnStatus xn::ModuleGestureGenerator::AddGesture | ( | const XnChar * | strGesture,
|  | XnBoundingBox3D * | pArea )

pure virtual

## EnumerateAllGestures()

virtual XnStatus xn::ModuleGestureGenerator::EnumerateAllGestures | ( | XnChar ** | pstrGestures,
|  | XnUInt32 | nNameLength,
|  | XnUInt16 & | nGestures )

pure virtual

## EnumerateGestures()

virtual XnStatus xn::ModuleGestureGenerator::EnumerateGestures | ( | XnChar ** | pstrGestures,
|  | XnUInt16 & | nGestures )

pure virtual

## GetActiveGestures()

virtual XnStatus xn::ModuleGestureGenerator::GetActiveGestures | ( | XnChar ** | pstrGestures,
|  | XnUInt16 & | nGestures )

pure virtual

## GetAllActiveGestures()

virtual XnStatus xn::ModuleGestureGenerator::GetAllActiveGestures | ( | XnChar ** | pstrGestures,
|  | XnUInt32 | nNameLength,
|  | XnUInt16 & | nGestures )

pure virtual

## GetData()

virtual const void * xn::ModuleGestureGenerator::GetData | ( |  | ) |

inline virtual

Implements xn::ModuleGenerator.

## IsGestureAvailable()

virtual XnBool xn::ModuleGestureGenerator::IsGestureAvailable | ( | const XnChar * | strGesture | ) |

pure virtual

## IsGestureProgressSupported()

virtual XnBool xn::ModuleGestureGenerator::IsGestureProgressSupported | ( | const XnChar * | strGesture | ) |

pure virtual

## RegisterGestureCallbacks()

virtual XnStatus xn::ModuleGestureGenerator::RegisterGestureCallbacks | ( | XnModuleGestureRecognized | RecognizedCB,
|  | XnModuleGestureProgress | ProgressCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToGestureChange()

virtual XnStatus xn::ModuleGestureGenerator::RegisterToGestureChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToGestureIntermediateStageCompleted()

virtual XnStatus xn::ModuleGestureGenerator::RegisterToGestureIntermediateStageCompleted | ( | XnModuleGestureIntermediateStageCompleted | GestureIntermediateStageCompletedCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToGestureReadyForNextIntermediateStage()

virtual XnStatus xn::ModuleGestureGenerator::RegisterToGestureReadyForNextIntermediateStage | ( | XnModuleGestureReadyForNextIntermediateStage | ReadyForNextIntermediateStageCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RemoveGesture()

virtual XnStatus xn::ModuleGestureGenerator::RemoveGesture | ( | const XnChar * | strGesture | ) |

pure virtual

## UnregisterFromGestureChange()

virtual void xn::ModuleGestureGenerator::UnregisterFromGestureChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromGestureIntermediateStageCompleted()

virtual void xn::ModuleGestureGenerator::UnregisterFromGestureIntermediateStageCompleted | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromGestureReadyForNextIntermediateStage()

virtual void xn::ModuleGestureGenerator::UnregisterFromGestureReadyForNextIntermediateStage | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterGestureCallbacks()

virtual void xn::ModuleGestureGenerator::UnregisterGestureCallbacks | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h